Index: c/src/lib/libbsp/powerpc/gen5200/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/ChangeLog	(revision ea3839aab11387930ff76dffb407e1f4fc66629c)
+++ c/src/lib/libbsp/powerpc/gen5200/ChangeLog	(revision 0f8eaed193d1e5b298e50dde677c1539153dbd1f)
@@ -1,2 +1,8 @@
+2006-08-15	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am, preinstall.am, startup/linkcmds, startup/linkcmds.brs5l,
+	startup/linkcmds.pm520: Add support for missing .rela sections.
+	Install linkcmds.
+
 2006-08-08      Thomas Doerfler <Thomas.Doerfler@embedded-brains.de>
 
Index: c/src/lib/libbsp/powerpc/gen5200/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/Makefile.am	(revision ea3839aab11387930ff76dffb407e1f4fc66629c)
+++ c/src/lib/libbsp/powerpc/gen5200/Makefile.am	(revision 0f8eaed193d1e5b298e50dde677c1539153dbd1f)
@@ -30,5 +30,7 @@
 project_lib_DATA = start.$(OBJEXT)
 
-dist_project_lib_DATA += startup/linkcmds.brs5l startup/linkcmds.pm520
+dist_project_lib_DATA += startup/linkcmds
+dist_project_lib_DATA += startup/linkcmds.brs5l
+dist_project_lib_DATA += startup/linkcmds.pm520
 
 noinst_PROGRAMS += bestcomm.rel
Index: c/src/lib/libbsp/powerpc/gen5200/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/preinstall.am	(revision ea3839aab11387930ff76dffb407e1f4fc66629c)
+++ c/src/lib/libbsp/powerpc/gen5200/preinstall.am	(revision 0f8eaed193d1e5b298e50dde677c1539153dbd1f)
@@ -78,11 +78,11 @@
 TMPINSTALL_FILES += $(PROJECT_LIB)/start.$(OBJEXT)
 
+$(PROJECT_LIB)/linkcmds: startup/linkcmds $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds
+PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds
+
 $(PROJECT_LIB)/linkcmds.brs5l: startup/linkcmds.brs5l $(PROJECT_LIB)/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds.brs5l
 PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds.brs5l
-
-$(PROJECT_LIB)/linkcmds.pm520: startup/linkcmds.pm520 $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds.pm520
-PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds.pm520
 
 $(PROJECT_LIB)/linkcmds.pm520: startup/linkcmds.pm520 $(PROJECT_LIB)/$(dirstamp)
@@ -110,4 +110,12 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/u-boot.h
 
+$(PROJECT_INCLUDE)/bsp/nvram.h: nvram/nvram.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/nvram.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/nvram.h
+
+$(PROJECT_INCLUDE)/bsp/slicetimer.h: slicetimer/slicetimer.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/slicetimer.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/slicetimer.h
+
 $(PROJECT_INCLUDE)/bsp/vectors.h: vectors/vectors.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/vectors.h
Index: c/src/lib/libbsp/powerpc/gen5200/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/startup/linkcmds	(revision ea3839aab11387930ff76dffb407e1f4fc66629c)
+++ c/src/lib/libbsp/powerpc/gen5200/startup/linkcmds	(revision 0f8eaed193d1e5b298e50dde677c1539153dbd1f)
@@ -166,5 +166,43 @@
  
     } > ram
-	 
+
+    .rel.dyn : {
+      *(.rel.init)
+      *(.rel.text .rel.text.* .rel.gnu.linkonce.t.*)
+      *(.rel.fini)
+      *(.rel.rodata .rel.rodata.* .rel.gnu.linkonce.r.*)
+      *(.rel.data.rel.ro* .rel.gnu.linkonce.d.rel.ro.*)
+      *(.rel.data .rel.data.* .rel.gnu.linkonce.d.*)
+      *(.rel.tdata .rel.tdata.* .rel.gnu.linkonce.td.*)
+      *(.rel.tbss .rel.tbss.* .rel.gnu.linkonce.tb.*)
+      *(.rel.ctors)
+      *(.rel.dtors)
+      *(.rel.got)
+      *(.rel.sdata .rel.sdata.* .rel.gnu.linkonce.s.*)
+      *(.rel.sbss .rel.sbss.* .rel.gnu.linkonce.sb.*)
+      *(.rel.sdata2 .rel.sdata2.* .rel.gnu.linkonce.s2.*)
+      *(.rel.sbss2 .rel.sbss2.* .rel.gnu.linkonce.sb2.*)
+      *(.rel.bss .rel.bss.* .rel.gnu.linkonce.b.*)
+    } >ram
+    .rela.dyn : {
+      *(.rela.init)
+      *(.rela.text .rela.text.* .rela.gnu.linkonce.t.*)
+      *(.rela.fini)
+      *(.rela.rodata .rela.rodata.* .rela.gnu.linkonce.r.*)
+      *(.rela.data .rela.data.* .rela.gnu.linkonce.d.*)
+      *(.rela.tdata .rela.tdata.* .rela.gnu.linkonce.td.*)
+      *(.rela.tbss .rela.tbss.* .rela.gnu.linkonce.tb.*)
+      *(.rela.ctors)
+      *(.rela.dtors)
+      *(.rela.got)
+      *(.rela.got1)
+      *(.rela.got2)
+      *(.rela.sdata .rela.sdata.* .rela.gnu.linkonce.s.*)
+      *(.rela.sbss .rela.sbss.* .rela.gnu.linkonce.sb.*)
+      *(.rela.sdata2 .rela.sdata2.* .rela.gnu.linkonce.s2.*)
+      *(.rela.sbss2 .rela.sbss2.* .rela.gnu.linkonce.sb2.*)
+      *(.rela.bss .rela.bss.* .rela.gnu.linkonce.b.*)
+    } >ram
+
     PROVIDE (__SDATA2_START__ = .);
   .sdata2   	  : { *(.sdata2) *(.gnu.linkonce.s2.*)	} >ram
Index: c/src/lib/libbsp/powerpc/gen5200/startup/linkcmds.brs5l
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/startup/linkcmds.brs5l	(revision ea3839aab11387930ff76dffb407e1f4fc66629c)
+++ c/src/lib/libbsp/powerpc/gen5200/startup/linkcmds.brs5l	(revision 0f8eaed193d1e5b298e50dde677c1539153dbd1f)
@@ -168,5 +168,43 @@
  
     } > ram
-	 
+
+    .rel.dyn : {
+      *(.rel.init)
+      *(.rel.text .rel.text.* .rel.gnu.linkonce.t.*)
+      *(.rel.fini)
+      *(.rel.rodata .rel.rodata.* .rel.gnu.linkonce.r.*)
+      *(.rel.data.rel.ro* .rel.gnu.linkonce.d.rel.ro.*)
+      *(.rel.data .rel.data.* .rel.gnu.linkonce.d.*)
+      *(.rel.tdata .rel.tdata.* .rel.gnu.linkonce.td.*)
+      *(.rel.tbss .rel.tbss.* .rel.gnu.linkonce.tb.*)
+      *(.rel.ctors)
+      *(.rel.dtors)
+      *(.rel.got)
+      *(.rel.sdata .rel.sdata.* .rel.gnu.linkonce.s.*)
+      *(.rel.sbss .rel.sbss.* .rel.gnu.linkonce.sb.*)
+      *(.rel.sdata2 .rel.sdata2.* .rel.gnu.linkonce.s2.*)
+      *(.rel.sbss2 .rel.sbss2.* .rel.gnu.linkonce.sb2.*)
+      *(.rel.bss .rel.bss.* .rel.gnu.linkonce.b.*)
+    } >ram
+    .rela.dyn : {
+      *(.rela.init)
+      *(.rela.text .rela.text.* .rela.gnu.linkonce.t.*)
+      *(.rela.fini)
+      *(.rela.rodata .rela.rodata.* .rela.gnu.linkonce.r.*)
+      *(.rela.data .rela.data.* .rela.gnu.linkonce.d.*)
+      *(.rela.tdata .rela.tdata.* .rela.gnu.linkonce.td.*)
+      *(.rela.tbss .rela.tbss.* .rela.gnu.linkonce.tb.*)
+      *(.rela.ctors)
+      *(.rela.dtors)
+      *(.rela.got)
+      *(.rela.got1)
+      *(.rela.got2)
+      *(.rela.sdata .rela.sdata.* .rela.gnu.linkonce.s.*)
+      *(.rela.sbss .rela.sbss.* .rela.gnu.linkonce.sb.*)
+      *(.rela.sdata2 .rela.sdata2.* .rela.gnu.linkonce.s2.*)
+      *(.rela.sbss2 .rela.sbss2.* .rela.gnu.linkonce.sb2.*)
+      *(.rela.bss .rela.bss.* .rela.gnu.linkonce.b.*)
+    } >ram
+
     PROVIDE (__SDATA2_START__ = .);
   .sdata2   	  : { *(.sdata2) *(.gnu.linkonce.s2.*)	} >ram
Index: c/src/lib/libbsp/powerpc/gen5200/startup/linkcmds.pm520
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/startup/linkcmds.pm520	(revision ea3839aab11387930ff76dffb407e1f4fc66629c)
+++ c/src/lib/libbsp/powerpc/gen5200/startup/linkcmds.pm520	(revision 0f8eaed193d1e5b298e50dde677c1539153dbd1f)
@@ -172,5 +172,43 @@
     PROVIDE (_FIXUP_END_ = .);
     PROVIDE (__FIXUP_END__ = .);
-	 
+ 
+    .rel.dyn : {
+      *(.rel.init)
+      *(.rel.text .rel.text.* .rel.gnu.linkonce.t.*)
+      *(.rel.fini)
+      *(.rel.rodata .rel.rodata.* .rel.gnu.linkonce.r.*)
+      *(.rel.data.rel.ro* .rel.gnu.linkonce.d.rel.ro.*)
+      *(.rel.data .rel.data.* .rel.gnu.linkonce.d.*)
+      *(.rel.tdata .rel.tdata.* .rel.gnu.linkonce.td.*)
+      *(.rel.tbss .rel.tbss.* .rel.gnu.linkonce.tb.*)
+      *(.rel.ctors)
+      *(.rel.dtors)
+      *(.rel.got)
+      *(.rel.sdata .rel.sdata.* .rel.gnu.linkonce.s.*)
+      *(.rel.sbss .rel.sbss.* .rel.gnu.linkonce.sb.*)
+      *(.rel.sdata2 .rel.sdata2.* .rel.gnu.linkonce.s2.*)
+      *(.rel.sbss2 .rel.sbss2.* .rel.gnu.linkonce.sb2.*)
+      *(.rel.bss .rel.bss.* .rel.gnu.linkonce.b.*)
+    } >ram
+    .rela.dyn : {
+      *(.rela.init)
+      *(.rela.text .rela.text.* .rela.gnu.linkonce.t.*)
+      *(.rela.fini)
+      *(.rela.rodata .rela.rodata.* .rela.gnu.linkonce.r.*)
+      *(.rela.data .rela.data.* .rela.gnu.linkonce.d.*)
+      *(.rela.tdata .rela.tdata.* .rela.gnu.linkonce.td.*)
+      *(.rela.tbss .rela.tbss.* .rela.gnu.linkonce.tb.*)
+      *(.rela.ctors)
+      *(.rela.dtors)
+      *(.rela.got)
+      *(.rela.got1)
+      *(.rela.got2)
+      *(.rela.sdata .rela.sdata.* .rela.gnu.linkonce.s.*)
+      *(.rela.sbss .rela.sbss.* .rela.gnu.linkonce.sb.*)
+      *(.rela.sdata2 .rela.sdata2.* .rela.gnu.linkonce.s2.*)
+      *(.rela.sbss2 .rela.sbss2.* .rela.gnu.linkonce.sb2.*)
+      *(.rela.bss .rela.bss.* .rela.gnu.linkonce.b.*)
+    } >ram
+
     PROVIDE (__SDATA2_START__ = .);
     .sdata2   	  : { *(.sdata2) *(.gnu.linkonce.s2.*)	} >ram
